PrePostExtension (xmlbeans API)

org.apache.xmlbeans

## Interface PrePostExtension

- All Known Implementing Classes:
    PrePostExtensionImpl

      public interface PrePostExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OPERATION_INSERT` Operation code for inserting a property.
    `static int` | `OPERATION_REMOVE` Operation code for removing a property.
    `static int` | `OPERATION_SET` Operation code for setting a property.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStaticHandler()` Get the fully qualified static handler class name.
    `boolean` | `hasPostCall()` Returns true if the static handler class has a preSet() method with the following signature: `public static void postSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}
    `boolean` | `hasPreCall()` Returns true if the static handler class has a preSet() method with the following signature: `public static boolean preSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}

- - ### Field Detail

    - #### OPERATION_SET

          static final int OPERATION_SET

      Operation code for setting a property.
      See Also:
        Constant Field Values

    - #### OPERATION_INSERT

          static final int OPERATION_INSERT

      Operation code for inserting a property.
      See Also:
        Constant Field Values

    - #### OPERATION_REMOVE

          static final int OPERATION_REMOVE

      Operation code for removing a property.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getStaticHandler

          String getStaticHandler()

      Get the fully qualified static handler class name.

    - #### hasPreCall

          boolean hasPreCall()

      Returns true if the static handler class has a preSet() method with the following signature:
      `public static boolean preSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}

    - #### hasPostCall

          boolean hasPostCall()

      Returns true if the static handler class has a preSet() method with the following signature:
      `public static void postSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}